//
//  ViewController.m
//  Memory Game
//
//  Created by Giorgio Minissale on 11/07/14.
//  Copyright (c) 2014 DevCo s.r.l. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController{
    IBOutlet UILabel *scoreFlagsLabel;
    IBOutlet UILabel *scoreZodiacLabel;
    
    IBOutlet UILabel *timeFlagsLabel;
    IBOutlet UILabel *timeZodiacLabel;
}

@synthesize bannerView = _bannerView;

- (void)viewDidLoad
{
    [super viewDidLoad];
    _bannerView.delegate = self;
    
    // GAME CENTER
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(showAuthenticationViewController) name:PresentAuthenticationViewController object:nil];
    [[GameKitHelper sharedGameKitHelper] authenticateLocalPlayer];
}

- (void)viewDidAppear:(BOOL)animated{
    [[RevMobAds session] showFullscreen];
    [[RevMobAds session] hideBanner];
    
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    int highScore_flag = (int) [defaults integerForKey:@"highScore_flag"];
    [scoreFlagsLabel setTextColor:[UIColor whiteColor]];
    [scoreFlagsLabel setFont:[UIFont fontWithName:kFontName size:14]];
    scoreFlagsLabel.text = [NSString stringWithFormat:@"MY BEST SCORE: %d",highScore_flag];
    
    int highScore_zodiac = (int) [defaults integerForKey:@"highScore_zodiac"];
    [scoreZodiacLabel setTextColor:[UIColor whiteColor]];
    [scoreZodiacLabel setFont:[UIFont fontWithName:kFontName size:14]];
    scoreZodiacLabel.text = [NSString stringWithFormat:@"MY BEST SCORE: %d",highScore_zodiac];
    
    int bestime_flags = (int)[defaults integerForKey:@"bestime_flag"];
    [timeFlagsLabel setTextColor:[UIColor whiteColor]];
    [timeFlagsLabel setFont:[UIFont fontWithName:kFontName size:14]];
    timeFlagsLabel.text = [NSString stringWithFormat:@"MY BEST TIME: %d",bestime_flags];
    
    int bestime_zodiac = (int)[defaults integerForKey:@"bestime_zodiac"];
    [timeZodiacLabel setTextColor:[UIColor whiteColor]];
    [timeZodiacLabel setFont:[UIFont fontWithName:kFontName size:14]];
    timeZodiacLabel.text = [NSString stringWithFormat:@"MY BEST TIME: %d",bestime_zodiac];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark RevMob settings
// RevMob required delegate method
-(void)revmobAdDidFailWithError:(NSError *)error{
    NSLog(@"RevMob error :%@",error);
}

#pragma mark iAd methods
- (void)bannerViewDidLoadAd:(ADBannerView *)banner
{
    // Display BannerView
    _bannerView.hidden = NO;
    [UIView animateWithDuration:0.4f
                     animations:^{
                         _bannerView.alpha = 1.0f;
                     }];
}

- (void)bannerView:(ADBannerView *)banner didFailToReceiveAdWithError:(NSError *)error
{
    // Print error
    [UIView animateWithDuration:0.1f
                     animations:^{
                         _bannerView.alpha = 0.0f;
                     } completion:^(BOOL finished) {
                         _bannerView.hidden = YES;
                     }];
}

#pragma mark -
#pragma mark Open Leaderboards

- (IBAction) presentLeaderboards :(id)sender{
    GKGameCenterViewController* gameCenterController = [[GKGameCenterViewController alloc] init];
    gameCenterController.viewState = GKGameCenterViewControllerStateLeaderboards;
    gameCenterController.gameCenterDelegate = self;
    [self presentViewController:gameCenterController animated:YES completion:nil];
}

- (void) gameCenterViewControllerDidFinish:(GKGameCenterViewController*) gameCenterViewController {
    [self dismissViewControllerAnimated:YES completion:nil];
}

// GAME CENTER
- (void)showAuthenticationViewController {
    GameKitHelper *gameKitHelper = [GameKitHelper sharedGameKitHelper];
    [self presentViewController: gameKitHelper.authenticationViewController
                       animated:YES completion:nil];
}

#pragma mark close window
- (IBAction)unwindToThisViewController:(UIStoryboardSegue *)unwindSegue
{
    
}

-(IBAction)setLevelTypeMoves:(id)sender{
        NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
        [defaults setObject:@"MOVES" forKey:@"TYPE"];
}

-(IBAction)setLevelTypeTime:(id)sender{
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setObject:@"TIME" forKey:@"TYPE"];
}

@end
